# =============================================================
#               CodeTyphon Project
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#        This Script Install to Mandriva Linux 
#      base libraries to Build and Run CodeTyphon
# =============================================================

ciplatiform=$1
cicpu=$2

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for" 
echo "           Mandriva and Mageia Linux" 
echo "----------------------------------------------------"
echo "."

# automaticly update Mandriva
sudo urpmi --auto-update --auto

# install needed libraries
sudo urpmi --auto -a xterm

sudo urpmi --auto -a make kernel-devel kernel-headers gcc
sudo urpmi --auto -a gcc-c++
sudo urpmi --auto -a gdb 
sudo urpmi --auto -a binutils

sudo urpmi --auto -a glibc
sudo urpmi --auto -a glibc-dev
sudo urpmi --auto -a glibc-devel

sudo urpmi --auto -a libx11
sudo urpmi --auto -a libx11-dev
sudo urpmi --auto -a libx11-devel

sudo urpmi --auto -a glib
sudo urpmi --auto -a glib-dev
sudo urpmi --auto -a glib-devel

sudo urpmi --auto -a gtk2
sudo urpmi --auto -a gtk2-dev
sudo urpmi --auto -a gtk2-devel

sudo urpmi --auto -a gtk+extra

sudo urpmi --auto -a mesa-common
sudo urpmi --auto -a mesa-common-dev
sudo urpmi --auto -a mesa-common-devel

sudo urpmi --auto -a gtk+
sudo urpmi --auto -a gtk+-dev
sudo urpmi --auto -a gtk+-devel

sudo urpmi --auto -a gtkglext
sudo urpmi --auto -a gtkglext-dev
sudo urpmi --auto -a gtkglext-devel

sudo urpmi --auto -a libxtst
sudo urpmi --auto -a libxtst-dev
sudo urpmi --auto -a libxtst-devel

sudo urpmi --auto -a cairo
sudo urpmi --auto -a cairo-dev 
sudo urpmi --auto -a cairo-devel 

sudo urpmi --auto -a pango
sudo urpmi --auto -a pango-dev
sudo urpmi --auto -a pango-devel

sudo urpmi --auto -a freeglut

sudo urpmi --auto xorg-x11-100dpi-fonts xorg-x11-75dpi-fonts 


# Install libraries for QT
if [ $ciplatiform = 1 ] ; 
then
    echo "."
    echo "Install libraries for QT"
    echo "."
    sudo urpmi --auto -a libqt4-dev
    sudo urpmi --auto -a qt4-qmake
fi

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation"  
echo "Finish !!!"

sleep 5
