# =============================================================
#               CodeTyphon Project
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#        This Script Install to Manjaro Linux (ArchLinux based)
#      base libraries to Build and Run CodeTyphon  
# =============================================================

ciplatiform=$1
cicpu=$2

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for"  
echo "               Manjaro Linux" 
echo "----------------------------------------------------"
echo " "

sudo pacman -Syu --noconfirm
sudo pacman -S --noconfirm xterm
sudo pacman -S --noconfirm zip
sudo pacman -S --noconfirm unzip
sudo pacman -S --noconfirm make
sudo pacman -S --noconfirm gcc
sudo pacman -S --noconfirm gcc-c++
sudo pacman -S --noconfirm gdb
sudo pacman -S --noconfirm binutils
sudo pacman -S --noconfirm binutils-devel 
sudo pacman -S --noconfirm gtkglext
sudo pacman -S --noconfirm freetype2
sudo pacman -S --noconfirm libx11
sudo pacman -S --noconfirm libxtst

sudo pacman -S --noconfirm xorg-fonts-100dpi 
sudo pacman -S --noconfirm xorg-fonts-75dpi 
sudo pacman -S --noconfirm ttf-ms-fonts
sudo pacman -S --noconfirm ttf-freefont
sudo pacman -S --noconfirm ttf-liberation

# Install libraries for QT
if [ $ciplatiform = 1 ] ; 
then
    echo "."
    echo "Install libraries for QT"
    echo "."
    sudo -S --noconfirm libqt4-dev 
    sudo -S --noconfirm qt4-qmake    
fi

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation" 
echo "Finish !!!"

sleep 5
