# =============================================================
#               CodeTyphon Project
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#        This Script Install to RedHat Linux
#     base libraries to Build and Run CodeTyphon 
# =============================================================

ciplatiform=$1
cicpu=$2


echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for" 
echo "             RedHat Linux" 
echo "----------------------------------------------------"
echo "."

sudo yum update

sudo yum install -y xterm 
sudo yum install -y make kernel-devel 
sudo yum install -y kernel-headers 
sudo yum install -y gcc 
sudo yum install -y gcc-c++
sudo yum install -y gdb 
sudo yum install -y binutils 
sudo yum install -y gtk2-devel 
sudo yum install -y glibc-devel 
sudo yum install -y libX11-devel
sudo yum install -y glib-devel 
sudo yum install -y gtk+extra 
sudo yum install -y gtk+-devel
sudo yum install -y libgl1-mesa-dev 
sudo yum install -y libglu1-mesa-dev
sudo yum install -y gtkglext-devel 
sudo yum install -y gtkglext-doc 
sudo yum install -y cairo-devel 
sudo yum install -y pango-devel 
sudo yum install -y libxtst-dev
sudo yum install -y libGL* 
sudo yum install -y freeglut 
sudo yum install -y xorg-x11-font*

# Install libraries for QT
if [ $ciplatiform = 1 ] ; 
then
    echo "."
    echo "Install libraries for QT"
    echo "."
    sudo yum install -y libqt4-dev 
    sudo yum install -y qt4-qmake    
fi

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation" 
echo "Finish !!!"

sleep 5
