# =============================================================
#               CodeTyphon Project
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#        This Script Install to SeSE Linux 
#      base libraries to Build and Run CodeTyphon  
# =============================================================

ciplatiform=$1
cicpu=$2

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for"  
echo "               SuSE Linux" 
echo "----------------------------------------------------"
echo "."

sudo zypper update
sudo zypper install xterm
sudo zypper install cmake 
sudo zypper install make 
sudo zypper install gcc 
sudo zypper install gcc-c++ 
sudo zypper install gdb 
sudo zypper install kernel-default-devel 
sudo zypper install binutils 
sudo zypper install binutils-devel 
sudo zypper install gtk2-devel 
sudo zypper install gdk-pixbuf-devel 
sudo zypper install libx11-dev
sudo zypper install boost boost-devel 
sudo zypper install flex 
sudo zypper install bison 
sudo zypper install re2c 
sudo zypper install libmysqlclient16 
sudo zypper install libmysqlclient-devel 
sudo zypper install libxml2 
sudo zypper install libxml2-devel
sudo zypper install libmcrypt 
sudo zypper install libmcrypt-devel 
sudo zypper install libicu libicu-devel 
sudo zypper install libopenssl1_0_0 
sudo zypper install libopenssl-devel 
sudo zypper install binutils-devel 
sudo zypper install libcap1
sudo zypper install libcap2 
sudo zypper install libcap-devel 
sudo zypper install gd 
sudo zypper install gd-devel 
sudo zypper install zlib 
sudo zypper install zlib-devel 
sudo zypper install pcre pcre-devel libpcre0 libpcrecpp0 libpcreposix0
sudo zypper install libexpat1 libexpat-devel libbz2-1 libbz2-devel libreadline6 readline-devel
sudo zypper install SDL SDL-devel SDL_image SDL_image-devel freetype2 freetype2-devel 
sudo zypper install portaudio portaudio-devel sqlite3 sqlite-devel libffmpeg-devel
sudo zypper install gtkglext-devel 
sudo zypper install gtkglext-doc 
sudo zypper install cairo-devel 
sudo zypper install pango-devel 
sudo zypper install libxtst-dev

# Install libraries for QT
if [ $ciplatiform = 1 ] ; 
then
    echo "."
    echo "Install libraries for QT"
    echo "."
    sudo zypper install libqt4-dev 
    sudo zypper install qt4-qmake    
fi

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation" 
echo "Finish !!!"

sleep 5
