# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

dothejob() 
{

if [ $buTARGETCPUOS = $vhostcpuos ] ;
then 
  exit
fi

echo "====================================================================="
echo "   BinUtils Build for $buTARGETCPUOS"
echo "====================================================================="
echo " "

if [ -d $vcodetyphon/binutils ] ;
then     
    echo "[info]: Remove OLD BinUtils Source folder..."
    sudo rm -rf $vcodetyphon/binutils
fi

if [ -d $vcodetyphon/binutilstemp ] ;
then     
    echo "[info]: Remove OLD BinUtils temporary build folder..."
    sudo rm -rf $vcodetyphon/binutilstemp
fi
   
sudo unzip -o ../bin/src/binutils.zip -d $vcodetyphon 
sudo chmod -R 777 $vcodetyphon/binutils

# ===================== Build Binutils ==================

cd $vcodetyphon/binutils


if [ $vosname = solaris ] ;
then   
  ./configure --prefix=$vcodetyphon/binutilstemp --target=$buTARGETCPUOS --disable-werror
else  
  ./configure --prefix=$vcodetyphon/binutilstemp --target=$buTARGETCPUOS --disable-werror
fi

# sudo $vmake configure-host
sudo $vmake
sudo $vmake install

# sleep 120

# ======================Check and Copy files ============

if [ -d $vcodetyphon/binutilstemp/bin ] ;
then     
   sudo strip $vcodetyphon/binutilstemp/bin/*
   sudo $vfpcexedir/upx $vcodetyphon/binutilstemp/bin/* 

   sudo cp -f $vcodetyphon/binutilstemp/bin/* $vfpcexedir/
   sudo chmod -R 777 $vfpcexedir

   echo "."
   echo "[FINAL INFO]: BinUitils build for $buTARGETCPUOS finish OK...!!!" 
   echo "."
else
   echo "?????"
   echo "[FINAL INFO]: BinUitils build for $buTARGETCPUOS NOT finish OK...?????" 
   echo "?????"
fi
   
sudo rm -rf $vcodetyphon/binutils
sudo rm -rf $vcodetyphon/binutilstemp

}

# =================== MAIN =============================
. $PWD/ln_All_Functions.sh
getvalues

buTARGETCPU=$1
buTARGETOS=$2
buHOST=$3
buTARGETCPUOS=${buTARGETCPU}-${buTARGETOS}

echo "-------- Cross BinUtils Engine settings --------"
echo $buTARGETCPU
echo $buTARGETOS
echo $buHOST
echo $buTARGETCPUOS

dothejob

