# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

dothejob() 
{

# =================== Build Lazarus64 ==================================

if [ ! -f $vcodetyphon/lazarus/bin$vbits/lazbuild ] ;
then  
 ./ln_Lazarus64_Build_Small.sh
fi


echo "=============================================================="
echo "         Build Lazarus64 BIG IDE for $vosrealname"  
echo "=============================================================="
echo " "

if [ ! -f $vcodetyphon/lazarus/bin$vbits/lazarus ] ;
then 
echo " "
echo "[ERROR]: Sorry, Lazarus64 from Small-IDE NOT Build"     
echo "         please remove and build Lazarus again..."
echo " "
 sleep 3
exit
fi

if [ ! -f $vcodetyphon/lazarus/bin$vbits/lazbuild ] ;
then 
echo " "
echo "[ERROR]: Sorry, lazbuild64 from Small-IDE NOT Build"      
echo "         please remove and build Lazarus again..."
echo " "
 sleep 3
exit
fi

# =================== Preparation =====================

if [ ! -f $vcodetyphon/lazarus/bin$vbits/slazarus ] ;
then  
 sudo rm -f $vcodetyphon/lazarus/bin$vbits/slazarus
fi

if [ -f $vcodetyphon/lazarus/bin$vbits/CT_Is_BigIDE.ctsw ] ;
then  
 sudo rm -f $vcodetyphon/lazarus/bin$vbits/CT_Is_BigIDE.ctsw
fi

sudo mv -f $vcodetyphon/lazarus/bin$vbits/lazarus $vcodetyphon/lazarus/bin$vbits/slazarus

# ===================================================== 

cd $vcodetyphon/lazarus/bin$vbits

$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/cgi/cgilaz.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/cgi/ide/cgilazide.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/customform/lazcustforms.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/daemon/lazdaemon.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/dbexport/lazdbexport.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/filebrowser/idefilebrowser.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/fpweb/weblaz.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/h2pas/h2paswizard.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/images/imagesforlazarus.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/lazreport.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazthread/lazthread.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/opengl/lazopenglcontext.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/printers/printer4lazarus.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/printers/design/printers4lazide.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/rx/rx.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/sqldb/sqldblaz.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/synunihighlighter/synuni.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/codetools/ide/cody.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/leakview/leakview.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/IdeLazLogger/idelazlogger.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/datadict/lazdatadict.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/addfunction/lr_add_function.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/DialogControls/lr_dialogdesign.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/lrcodereport/lr_codereport_pkg.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/pdfexport/lazreportpdfexport.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/SqlDB/lr_sqldb.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/TDbfDB/lr_tdbf.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/addons/ZeosDB/lr_zeosdb.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/mouseandkeyinput/lazmouseandkeyinput.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/messagecomposer/messagecomposerpkg.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/multithreadprocs/multithreadprocslaz.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/compilers/c/lazc.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/macroscript/editormacroscript.lpk


$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ACS/pl_acs.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AGGPas/pl_aggpas.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AGGPasVS/pl_aggpasvs.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_APE/pl_apelib.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ASIOVST/pl_asiovst.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AsphyreSphinx/pl_asphyresphinx.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAbitmap/pl_bgrabitmap.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAcontrols/pl_bgracontrols.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAueControls/pl_bgrauecontrols.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Box2D/pl_box2d.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Brook/pl_brook.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Castle/pl_castle.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_CHelper/pl_chelper.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Cindy/pl_cindy.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_DCP/pl_dcpcomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_DWScript/pl_dwscript.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExControls/pl_excontrols.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExDesign/pl_exdesign.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExSystem/pl_exsystem.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExtentIDE/pl_extentideman.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FortesReport/pl_fortesreport.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FPSpreadsheet/pl_fpspreadsheet.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FreeSpider/pl_freefpidercomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GeoGIS/pl_geogiscomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GlassDocking/pl_glassdocking.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GLScene/pl_glscene.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32/pl_graphics32.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32EXT/pl_graphics32ext.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32VPR/pl_graphics32vpr.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Greyhound/pl_greyhound.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Imaging/pl_vampyreimaging.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Indy/pl_indycomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_JujiboUtils/pl_jujiboutils.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_JVCL/pl_jvcl.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_KControls/pl_kcontrols.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ORCA/pl_orca.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LazBarcodes/pl_lazbarcodes.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LazPackager/pl_lazpackager.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LazSolutions/pl_lazsolutions.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LazWebSolutions/pl_lazwebsolutions.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_lclextensions/pl_lclextensions.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LNet/pl_lnetcomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LuiControls/pl_luicontrols.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_nxPascal/pl_nxpascal.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_OpenGL/pl_opengl.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_OpenWire/pl_openwire.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Orpheus/pl_orpheus.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Pappe/pl_pappe.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PascalSCADA/pl_pascalscada.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PascalScript/pl_pascalscript.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PasDoc/pl_pasdocpkg.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PowerPDF/pl_powerpdf.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_RichView/pl_richview.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_RX/pl_rx.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Shapes/pl_shapespak.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_SpkToolBar/pl_spktoolbar.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Synapse/pl_synapsepkg.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_SynapseVS/pl_synapsepkgvs.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_TitanScript/pl_titanscriptcomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_UIB/pl_uibcomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VirtualTrees/pl_virtualtrees.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VirtualTreesExtra/pl_virtualtreesextra.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VisualPlanIt/pl_visualplanitcomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DirectX/pl_win_directx.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DirectX11/pl_win_directx11.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DirectXUT/pl_win_directxut.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DSPack/pl_win_dspack.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_MIDI/pl_win_midi.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_WST/pl_wst.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ZenGL/pl_zengl.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ZeosDBO/pl_zeosdbocomp.lpk
$vcodetyphon/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ZMSQL/pl_zmsql.lpk

# =====================================================
sudo chmod -R 777 $vcodetyphon/lazarus

cd $vcodetyphon/lazarus

if [ $vosname = solaris ] ;
then
$vmake bigide OPT="-Xn" PP=$vfpcexedir/$vfpcexec INSTALL_PREFIX=/usr/lib/codetyphon/lazarus/
else

  if [ $vlclplatform = 1 ] ; 
   then
     $vcodetyphon/lazarus/bin$vbits/lazbuild -B --build-ide="-dLCLqt" --ws=qt
   else
     $vmake bigide PP=$vfpcexedir/$vfpcexec INSTALL_PREFIX=/usr/lib/codetyphon/lazarus/
   fi

fi

# sleep 120

# ============================ Check Building ==========================

cd $vcodetyphon/lazarus

if [ -f $vcodetyphon/lazarus/lazarus ] ;
then  

sudo cp -f $vcodetyphon/bin/switcher/CT_Is_BigIDE.ctsw $vcodetyphon/lazarus/bin$vbits/
 
# ================= Build External Tools ===============================

echo " "
echo "[INFO]: ========== Build External Tools ===============" 
echo " "

if [ $vlclplatform = 1 ] ; 
then
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/lazdatadesktop/lazdatadesktop.lpi 
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/ctapimatrix/ctapimatrix.lpi 
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/ctdiagramins/ctdiagramins.lpi   
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/cthexeditor/cthexeditor.lpi   
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/ctimgviewer/ctimgviewer.lpi    
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all --ws=qt /usr/lib/codetyphon/lazarus/tools/ctresbuilder/ctresbuilder.lpi         
else
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/lazdatadesktop/lazdatadesktop.lpi
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/ctapimatrix/ctapimatrix.lpi
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/ctdiagramins/ctdiagramins.lpi
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/cthexeditor/cthexeditor.lpi
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/ctimgviewer/ctimgviewer.lpi
   $vcodetyphon/lazarus/bin$vbits/lazbuild --build-all /usr/lib/codetyphon/lazarus/tools/ctresbuilder/ctresbuilder.lpi
fi 

# ================= Move ALL Executables =============================
echo " "
echo "[INFO]: Move ALL Executables"  
echo " "

sudo mv -f lazarus $vcodetyphon/lazarus/bin$vbits/
sudo mv -f startlazarus $vcodetyphon/lazarus/bin$vbits/
sudo mv -f lazbuild $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/components/chmhelp/lhelp/lhelp $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/lazdatadesktop/lazdatadesktop $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/ctapimatrix/ctapimatrix $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/ctdiagramins/ctdiagramins $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/cthexeditor/cthexeditor $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/ctimgviewer/ctimgviewer $vcodetyphon/lazarus/bin$vbits/
sudo mv -f $vcodetyphon/lazarus/tools/ctresbuilder/ctresbuilder $vcodetyphon/lazarus/bin$vbits/

# ========== Make Permitions =========

sudo chmod -R 777 $vcodetyphon/lazarus

# ================= Strip All Executables files =======================

cd $vcodetyphon/ScriptsLin
./ln_Lazarus_Strip.sh

cd $vcodetyphon/lazarus

 sudo rm -f $vcodetyphon/lazarus/bin$vbits/slazarus
 
 echo " "
 echo " ------------------------------------------------------"
 echo " "
 echo "[FINAL INFO]: Lazarus64 BIG IDE Build OK!!! Have fun..." 
 echo " "
  
 sleep 3
  
else 

 sudo mv -f $vcodetyphon/lazarus/bin$vbits/slazarus $vcodetyphon/lazarus/bin$vbits/lazarus
 
 echo " "
 echo " ------------------------------------------------------"
 echo " "
 echo  "??????????????????????????????????????????????????????"
 echo  "[ERROR]: Sorry, Lazarus64 BIG IDE NOT Build"
 echo  "??????????????????????????????????????????????????????"

 sleep 3  
fi
}
# =================== MAIN ============================= 
. $PWD/ln_All_Functions.sh
getvalues

if [ $vlclplatform = 1 ] ;
then 
./ln_Lazarus1_Build_QT4pas.sh
fi

if [ $vbits = 64 ] ;
then 
 dothejob
fi







