# =============================================================
#               CodeTyphon Project
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#        This Script Install to Sabayon Linux 
#      base libraries to Build and Run CodeTyphon  
# =============================================================

ciplatiform=$1
cicpu=$2

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for"  
echo "               Sabayon Linux" 
echo "----------------------------------------------------"
echo " "

# System Full Update Commands
# equo update
# equo repo mirrorsort sabayon-weekly
# equo install entropy rigo equo  --relaxed
# equo conf update
# equo update
# equo upgrade --ask
# equo conf update
# equo deptest
# equo libtest

sudo equo install make
sudo equo install gcc
sudo equo install gcc-c++
sudo equo install gdb
sudo equo install binutils 

sudo equo install xterm
sudo equo install zip
sudo equo install unzip
sudo equo install libxtst-dev

sudo equo install libx11-dev 
sudo equo install libgtk2.0-dev 
sudo equo install libgpmg1-dev 
sudo equo install libsdl
sudo equo install libXxf86vm
sudo equo install gtk+extra
sudo equo install gtkglext 
sudo equo install gtk2-engines-pixbuf 
sudo equo install libcairo

sudo equo install ttf-fonts
sudo equo install liberation-fonts

# Install libraries for QT
if [ $ciplatiform = 1 ] ; 
then
    echo "."
    echo "Install libraries for QT"
    echo "."
    sudo equo install libqt4-dev 
    sudo equo install qt4-qmake    
fi

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation" 
echo "Finish !!!"

sleep 5
